Subject: Re: bug#60929: 30.0.50; [FR] `file-name-extension' and backup suffixes

From: Ihor Radchenko <[email-masked]>
Date: Wed, 25 Jan 2023 13:43:46 +0000

Ruijie Yu <[email-masked]> writes:

>> Talking about "opening the file" again narrows the scope of the
>> requested feature, IMO.  We don't want to assume that the application
>> would like to open the file.  Besides, Text mode does affect how Emacs
>> treats the file.
>
> Another thing to consider is when the mode is not activated via
> `auto-mode-alist' -- for example, via M-x major-mode.  Consider what
> happens to the proposed file extension list when "foo.txt" and
> "bar.txt.bak.gpg" are manually activated as `org-mode'.

That's easy. One can simply check `major-mode' variable value.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>